WriteNowTextInternal::ContentZones Struct Reference

Internal: structure used to store the content structure. More...

## Public Member Functions

| ContentZones ()
bool | hasPageColumnBreak () const
| returns true if the entry corresponds to a page/column break
int | getNumberOfZonesWithType (int type) const

## Public Attributes

WriteNowEntry | m_entry
| the general zone
int | m_id
| the zone id
int | m_type
| the zone type : 0 : main, 1 header/footer, 2 footnote,
std::vector< ContentZone > | m_zonesList
| the list of zone
std::vector< int > | m_textCalledTypesList
| the list of type of text zone called by this zone
std::vector< std::shared_ptr< ContentZones > > | m_footnoteList
| a list to retrieve the footnote content
bool | m_sent
| true if this zone was sent to the listener

## Detailed Description

Internal: structure used to store the content structure.

## Constructor & Destructor Documentation

## ContentZones()

WriteNowTextInternal::ContentZones::ContentZones | ( |  | ) |

inline

## Member Function Documentation

## getNumberOfZonesWithType()

int WriteNowTextInternal::ContentZones::getNumberOfZonesWithType | ( | int | type | ) | const

inline

## hasPageColumnBreak()

bool WriteNowTextInternal::ContentZones::hasPageColumnBreak | ( |  | ) | const

inline

returns true if the entry corresponds to a page/column break

## Member Data Documentation

## m_entry

WriteNowEntry WriteNowTextInternal::ContentZones::m_entry

the general zone

Referenced by ContentZones(), and hasPageColumnBreak().

## m_footnoteList

std::vector<std::shared_ptr<ContentZones> > WriteNowTextInternal::ContentZones::m_footnoteList

a list to retrieve the footnote content

Referenced by ContentZones().

## m_id

int WriteNowTextInternal::ContentZones::m_id

the zone id

Referenced by ContentZones().

## m_sent

bool WriteNowTextInternal::ContentZones::m_sent

mutable

true if this zone was sent to the listener

Referenced by ContentZones().

## m_textCalledTypesList

std::vector<int> WriteNowTextInternal::ContentZones::m_textCalledTypesList

the list of type of text zone called by this zone

Referenced by ContentZones().

## m_type

int WriteNowTextInternal::ContentZones::m_type

the zone type : 0 : main, 1 header/footer, 2 footnote,

Referenced by ContentZones(), and hasPageColumnBreak().

## m_zonesList

std::vector<ContentZone> WriteNowTextInternal::ContentZones::m_zonesList

the list of zone

Referenced by ContentZones(), and getNumberOfZonesWithType().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx